Bug 21971 - Added New Locale for mfe_MU
Summary: Added New Locale for mfe_MU
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.26
: P2 normal
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-18 07:29 IST by Akhilesh Kumar
Modified: 2017-08-29 12:13 IST (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Akhilesh Kumar 2017-08-18 07:29:11 IST

    
Comment 1 Akhilesh Kumar 2017-08-18 07:40:05 IST
Added locale for "Morisyen" which is also called as "Mauritian Creole"
spoken in Mauritius.

https://sourceware.org/ml/libc-alpha/2017-08/msg00843.html
Comment 2 Akhilesh Kumar 2017-08-24 03:54:29 IST
> >  DEFINE_LANGUAGE_CODE ("Marshallese", mh, mah, mah)
> >  DEFINE_LANGUAGE_CODE3 ("Marwari", mwr, mwr)
> >  DEFINE_LANGUAGE_CODE3 ("Masai", mas, mas)
>> +DEFINE_LANGUAGE_CODE3 ("Mauritius", mfe, mfe)
> 
> “Mauritius” is the name of the country.
> The name of the language in English should be “Mauritian Creole” or
> “Morisyen”.
  Changes done 
> >  DEFINE_LANGUAGE_CODE3 ("Mayan languages", myn, myn)
>>  DEFINE_LANGUAGE_CODE3 ("Meadow Mari", mhr, mhr)
> >  DEFINE_LANGUAGE_CODE3 ("Mende", men, men)
> > diff --git a/localedata/SUPPORTED b/localedata/SUPPORTED
> > index 197917b..e8f4764 100644
> > --- a/localedata/SUPPORTED
> > +++ b/localedata/SUPPORTED
> > @@ -311,6 +311,7 @@ lzh_TW/UTF-8 \
> >  mag_IN/UTF-8 \
> 
> > +       "lin";/
> > +       "mar";/
>> +       "mer";/
> > +	"ze ";/
> > +	"van";/
> > +	"sam"
> 
> Could you use the whitespace in a consistant way instead of a mixture
> of tabs and spaces?
Changes Done 
> > +%
> > +% Full weekday names
> > +day     "dimans";/
> > +        "lindi";/
> > +        "mardi";/
> > +        "merkredi";/
> > +        "zedi";/
> > +        "vandredi";/
> > +        "samdi"
> > +        "desam"
> > +%
> > +d_t_fmt     "<U0025><U0061><U0020><U0025><U0064><U0020><U0025><U0062><U0020><U0025><U0059><U0020><U0025><U0054><U0020><U0025><U005A>"
>> +d_fmt       "<U0025><U0064><U002F><U0025><U006D><U002F><U0025><U0079>"
> > +t_fmt       "<U0025><U0054>"
> > +am_pm       "AM";"PM"
> > +t_fmt_ampm  "<U0025><U006C><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U0050><U0020><U0025><U005A>"
> > +date_fmt    "<U0025><U0061><U0020><U0025><U0065><U0020><U0025><U0062>/
> > +<U0020><U0025><U0048><U003A><U0025><U004D><U003A><U0025><U0053><U0020>/
> > +<U0025><U005A><U0020><U0025><U0059>"
>> +END LC_TIME
> 
> These are all ASCII, so you could write the text directly here as well
> instead of the code points.
Done  
> > +% http://wikitravel.org/en/User:LiangHH/Mauritian_Creole_phrasebook
> > +LC_MESSAGES
> > +yesexpr "<U005E>[+1yY]"
> > 
> > <U005E> could be written directly, i.e.
> 
>yesexpr "^[+1yY]
> 
> > +noexpr  "[-0nN]"
> 
> Why is the ^ missing here?
 Done  
> > +yesstr  "Yes"
>> +nostr   "No"
> > +END LC_MESSAGES
> > +int_curr_symbol     "MUR "
>> +currency_symbol     "Rs"
> 
> According to the Wikipedia page you quote, this should be “₨”, not “Rs”.
Agree
> > +mon_decimal_point   "."
> > +mon_thousands_sep   ","
> 
>According to mfe.xml in CLDR, U+00A0 NO-BREAK SPACE is used as a
> thousands separator.  So we should not use “,” but  U+202F NARROW
> NO-BREAK SPACE (We consistently use the narrow version in thousands_sep
> and mon_thousands_sep in glibc currently).
Agree  
> > +mon_grouping        3;3
> > +positive_sign       ""
> > +negative_sign       "-"
> > +int_frac_digits     2
> > +frac_digits         2
> > +p_cs_precedes       1
> > +int_p_sep_by_space  1
> > +p_sep_by_space      1
>> +n_cs_precedes       1
> > +int_n_sep_by_space  1
> > +n_sep_by_space      1
> > +p_sign_posn         1
> > +n_sign_posn         1
> > +%
> > +END LC_MONETARY
>> +
> > +LC_NUMERIC
> > +decimal_point          "."
> > +thousands_sep          ","
> 
> According to mfe.xml in CLDR, U+00A0 NO-BREAK SPACE is used as a
> thousands separator.  So we should not use “,” but  U+202F NARROW
> NO-BREAK SPACE (We consistently use the narrow version in thousands_sep
> and mon_thousands_sep in glibc currently).
Changes Done  
> > +grouping               3
> > +END LC_NUMERIC
> > +
>> +LC_PAPER
> > +copy "i18n"
> > +END LC_PAPER
> > +
> > +LC_TELEPHONE
> > +% https://www.howtocallabroad.com/mauritius/
> > +tel_int_fmt "+%c %l"
>> +% 00 Africa: all countries except Kenya, Nigeria, Tanzania and Uganda
> > +int_select     "00"
> > +int_prefix     "230"
> > +END LC_TELEPHONE
> > +
> > +LC_MEASUREMENT
> > +copy "i18n"
> > +END LC_MEASUREMENT
> > +
> > +
> > +
> > +LC_NAME
> > +name_fmt    "<U0025><U0064><U0025><U0074><U0025><U0067><U0025><U0074>/
>> +<U0025><U006D><U0025><U0074><U0025><U0066>"
> 
> Could be written directly because it is ASCII.
Done  
> > +name_miss   "Miss."
> > +name_mr     "Mr."
> > +name_mrs    "Mrs."
>> +name_ms     "Ms."
> > +END LC_NAME
> > +
> > +
> > +LC_ADDRESS
> > +postal_fmt   "%f%N%h%s%N%T"
> > +country_name "Mauritius"
> > +country_ab2  "MU"
> > +country_ab3  "MUS"
> > +country_num  480
> +% https://en.wikipedia.org/wiki/List_of_international_vehicle_registration_codes
> +country_car  "MS"
> +country_isbn "978-613,978-620,978-99903,978-99949"
> +lang_name    "Morisyen"
> 
> According to mfe.xml in CLDR, this should be “kreol morisien”,
> Wikipedia has it capitalized as “Kreol Morisien”. I think we should
>follow CLDR here.
Done  
> > +lang_ab      "mfe"
> 
> lang_ab should contain the iso-639-1 code, but as there is no iso-639-1
> code for Morisyen, it should be empty or omitted, I think.
> 
>> +lang_term    "mfe"
> > +lang_lib     "mfe"
> 
> I think lang_lib is the iso-639-2 code and there is no iso-639-2
> code for Morisyen either, only iso-639-3.
> 
> I am not sure what one should do in such a case. I guess using the
> iso-639-3 code in lang_lib as well is OK, 

Thanks Mike for nice review all above comments are integrated 

https://sourceware.org/ml/libc-alpha/2017-08/msg01099.html

> > +END LC_ADDRESS
Comment 3 Akhilesh Kumar 2017-08-26 10:54:17 IST
 https://sourceware.org/ml/libc-alpha/2017-08/msg01170.html
Please ignore above url since Mr Rafal already Alreday shared his review comment
Comment 4 cvs-commit@gcc.gnu.org 2017-08-29 12:02:24 IST
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  f11f2f6e145d6fc6b52f6b0733599f8b96595733 (commit)
       via  f8de9568d81bf47bcc85d2918d529b6cd0b19519 (commit)
       via  15cf43a999857de1ad2745b838cb3d73ce45c7e1 (commit)
      from  42496114ec0eb7d6d039d05d4262e109951c600c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f11f2f6e145d6fc6b52f6b0733599f8b96595733

commit f11f2f6e145d6fc6b52f6b0733599f8b96595733
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 29 13:39:18 2017 +0200

    Use “,” as mon_decimal_point for ru_RU and os_RU locales (follow CLDR)
    
    	[BZ #13805]
    	* locales/ru_RU (LC_MONETARY): Use “,” for mon_decimal_point
    	(to agree with CLDR).
    	* locales/ru_RU (LC_NUMERIC): Write mon_decimal_point in ASCII
    	for readability.
    	* locales/os_RU (LC_MONETARY): Copy from ru_RU,
    	makes it agree with CLDR.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f8de9568d81bf47bcc85d2918d529b6cd0b19519

commit f8de9568d81bf47bcc85d2918d529b6cd0b19519
Author: Akhilesh Kumar <akhilesh.k@samsung.com>
Date:   Wed Aug 23 09:57:23 2017 +0530

    Add locale for mfe_MU
    
    Add locale for “Morisyen” which is also called “Mauritian Creole”
    and is spoken in Mauritius.
    
    	[BZ #21971]
    	* localedata/SUPPORTED: Add mfe_MU/UTF-8.
    	* localedata/locales/mfe_MU: New File.
    
    	[BZ #21971]
    	* locale/iso-639.def: add Morisyen.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=15cf43a999857de1ad2745b838cb3d73ce45c7e1

commit 15cf43a999857de1ad2745b838cb3d73ce45c7e1
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Aug 29 10:54:53 2017 +0200

    Use NFC for the strings in “day”, “yesstr”, and “nostr” in the sgs_LT locale
    
    	* locales/sgs_LT (LC_TIME): Use NFC for the strings in “day”.
    	* locales/sgs_LT (LC_MESSAGES): Use NFC for “yesstr” and “nostr”.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                            |    5 +
 locale/iso-639.def                   |    1 +
 localedata/ChangeLog                 |   21 +++++
 localedata/SUPPORTED                 |    1 +
 localedata/locales/{en_SC => mfe_MU} |  136 +++++++++++++++++++++++++---------
 localedata/locales/os_RU             |   16 +----
 localedata/locales/ru_RU             |    4 +-
 localedata/locales/sgs_LT            |    6 +-
 8 files changed, 134 insertions(+), 56 deletions(-)
 copy localedata/locales/{en_SC => mfe_MU} (52%)
Comment 5 Mike FABIAN 2017-08-29 12:13:15 IST
FIXED.